Package org.apache.sling.distribution.queue

## Enum DistributionQueueItemState

- java.lang.Object
- - java.lang.Enum<DistributionQueueItemState>
  - - org.apache.sling.distribution.queue.DistributionQueueItemState

All Implemented Interfaces:
  `Serializable`, `Comparable<DistributionQueueItemState>`

    public enum DistributionQueueItemState
    extends Enum<DistributionQueueItemState>

The state of a distribution queue item.

### Enum Constant Summary

Enum Constants
`ERROR` The item processing encountered an error
`QUEUED` The item was just added to the queue

### Method Summary

All Methods Static Methods Concrete Methods
`static DistributionQueueItemState` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DistributionQueueItemState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### QUEUED

    public static final DistributionQueueItemState QUEUED

The item was just added to the queue

#### ERROR

    public static final DistributionQueueItemState ERROR

The item processing encountered an error

### Method Detail

#### values

    public static DistributionQueueItemState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DistributionQueueItemState c : DistributionQueueItemState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DistributionQueueItemState valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null